Debian Bug report logs - #484386
gnome-schedule: bashism in debian/rules

version graph

Package: gnome-schedule; Maintainer for gnome-schedule is Alejandro Rios P. <alerios@debian.org>; Source for gnome-schedule is src:gnome-schedule.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Tue, 3 Jun 2008 23:06:07 UTC

Severity: important

Tags: patch

Found in version gnome-schedule/2.0.2-1

Fixed in version gnome-schedule/2.0.2-1.1

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to alerios@debian.org (Alejandro Rios P.):
Bug#484386; Package gnome-schedule. Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: gnome-schedule: bashism in debian/rules
Date: Tue, 3 Jun 2008 18:02:43 -0500
Source: gnome-schedule
Severity: important
Version: 2.0.2-1
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While checking for bashisms in debian/rules with checkbashisms (from 
the 'devscripts' package) I've found your package making use of a bashism.

checkbashisms' output:
> possible bashism in gnome-schedule/debian/rules line 23 (brace expansion):
>         for i in {config.guess,config.sub} ; do \
> possible bashism in gnome-schedule/debian/rules line 38 (brace expansion):
>         for i in {config.guess,config.sub} ; do \

Not using bash (or a Debian Policy conformant shell interpreter which does 
provide such an extra feature) as /bin/sh is likely to lead to errors or 
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there's a 
release goal for Lenny to make dash the default /bin/sh[1].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information please refer to the Debian Policy section 10.4 supporting 
this argument at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

[1]http://release.debian.org/lenny/goals.txt

Thank you,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Information forwarded to debian-bugs-dist@lists.debian.org, alerios@debian.org (Alejandro Rios P.):
Bug#484386; Package gnome-schedule. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Copy sent to alerios@debian.org (Alejandro Rios P.). Full text and rfc822 format available.

Message #8 received at 484386@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: 484386@bugs.debian.org
Subject: Re: gnome-schedule: bashism in debian/rules
Date: Sun, 8 Jun 2008 19:06:54 +0100
[Message part 1 (text/plain, inline)]
tags 484386 + patch
thanks

Patch attached.. I must admit

 -       for i in {config.guess,config.sub} ; do \
 +       for i in config.guess config.sub ; do \

.. made me laugh. :)


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[484386.diff.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Tags added: patch Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Sun, 08 Jun 2008 18:09:08 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 484386-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 484386-close@bugs.debian.org
Subject: Bug#484386: fixed in gnome-schedule 2.0.2-1.1
Date: Sun, 29 Jun 2008 17:17:02 +0000
Source: gnome-schedule
Source-Version: 2.0.2-1.1

We believe that the bug you reported is fixed in the latest version of
gnome-schedule, which is due to be installed in the Debian FTP archive:

gnome-schedule_2.0.2-1.1.diff.gz
  to pool/main/g/gnome-schedule/gnome-schedule_2.0.2-1.1.diff.gz
gnome-schedule_2.0.2-1.1.dsc
  to pool/main/g/gnome-schedule/gnome-schedule_2.0.2-1.1.dsc
gnome-schedule_2.0.2-1.1_i386.deb
  to pool/main/g/gnome-schedule/gnome-schedule_2.0.2-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 484386@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated gnome-schedule package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Jun 2008 16:49:41 +0000
Source: gnome-schedule
Binary: gnome-schedule
Architecture: source i386
Version: 2.0.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Alejandro Rios P. <alerios@debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 gnome-schedule - GNOME scheduler for automatic tasks
Closes: 484386
Changes: 
 gnome-schedule (2.0.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload from the Cambridge BSP.
   * Apply patch from Chris Lamb to fix bashisms in debian/rules.
     (goal-dash, closes: #484386)
Checksums-Sha1: 
 5348d8963bb862e5b3317559e06ec18fda362ec1 1218 gnome-schedule_2.0.2-1.1.dsc
 5fb7bb8e878f8d5c0906bc1773904afbf29a13c4 4771 gnome-schedule_2.0.2-1.1.diff.gz
 29e25530772b669a46bc74690570ea05063cdbd7 980884 gnome-schedule_2.0.2-1.1_i386.deb
Checksums-Sha256: 
 6bc4a6df3aa6d1ab8c9902ae7a4f37f22e75cd4aecce1c9edc75ed65a0b6275b 1218 gnome-schedule_2.0.2-1.1.dsc
 57fffb0b783f4de44bf0cfda53be688653af83b1455060f83f596c6560901127 4771 gnome-schedule_2.0.2-1.1.diff.gz
 a330b6563a7c6dae76889287c166030cbdf3d1977359bbb12f86c6255a8f681b 980884 gnome-schedule_2.0.2-1.1_i386.deb
Files: 
 0661f00024cc35bcac9ce9c62766f89f 1218 gnome optional gnome-schedule_2.0.2-1.1.dsc
 8f0351fb30ae5825637a6cb13e8fe67a 4771 gnome optional gnome-schedule_2.0.2-1.1.diff.gz
 4c63a3d2abc39226491d4dabee355f7b 980884 gnome optional gnome-schedule_2.0.2-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----

iD8DBQFIZ7/hWSc8zVUw7HYRAsy3AKDsJ8IzHOciG+KoBms+pUkD8CqqJQCg3rfu
1uTZMveOM3JZay+kAl119S4=
=cxFe
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, alerios@debian.org (Alejandro Rios P.):
Bug#484386; Package gnome-schedule. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to alerios@debian.org (Alejandro Rios P.). Full text and rfc822 format available.

Message #20 received at 484386@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 484386@bugs.debian.org
Subject: gnome-schedule: diff for NMU version 2.0.2-1.1
Date: Sun, 29 Jun 2008 21:03:35 +0100
[Message part 1 (text/plain, inline)]
tags 484386 + patch
thanks

Hi,

Attached is the diff for my gnome-schedule 2.0.2-1.1 NMU.
[gnome-schedule-2.0.2-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Sun, 29 Jun 2008 20:06:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Aug 2008 07:38:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:38:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.